@charset "utf-8";
/* @import url(https://fonts.googleapis.com/css?family=Roboto:300);*/
@import url('https://fonts.googleapis.com/css2?family=Geo:ital@0;1&display=swap');
.nameInput{width: 20% !important;}
.longText{color: black !important; font-size: 25px !important;}
.login-page {
    padding: 8% 0 0;
    margin: auto;
}
.loginForm {
    position: relative;
    z-index: 1;
    color: black;
    background: #548c2f;
    width: 60vw;
    margin: 0 auto 100px;
    padding: 60px;
    text-align: center;
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2), 0 5px 5px 0 rgba(0, 0, 0, 0.24);

    /* css 3 */
    border-radius:10px;
    /* mozilla */
    -moz-border-radius:10px;
    /* webkit */
    -webkit-border-radius:10px;
}
.loginForm input {
    font-family: "Geo", sans-serif;
    outline: 0;
    background: #f2f2f2;
    width: 100%;
    border: 0;
    margin: 0 0 15px;
    padding: 25px;
    box-sizing: border-box;
    font-size: 14px;

    /* css 3 */
    border-radius:10px;
    /* mozilla */
    -moz-border-radius:10px;
    /* webkit */
    -webkit-border-radius:10px;
}

.loginForm fieldset{
    border: none;
}

.loginForm button:hover,.loginForm button:active,.loginForm button:focus {
    background: #fe9000;
}

.loginForm button {
    font-family: "Geo", sans-serif;
    text-transform: uppercase;
    outline: 0;
    background: #fe9000;
    width: 100%;
    border: 0;
    padding: 15px;
    color: black;
    font-size: 35px;
    -webkit-transition: all 0.3 ease;
    transition: all 0.3 ease;
    cursor: pointer;

    /* css 3 */
    border-radius:10px;
    /* mozilla */
    -moz-border-radius:10px;
    /* webkit */
    -webkit-border-radius:10px;
}

.Form {
    align-self: center;
    align-items: center;
}

.Form select{
    width: 50%;
    font-size: 24px;

}
.Form option {
    font-size: 24px;
}

.Form fieldset {
    font-size: 24px;
}
.Form input[type=text] {
    font-family: "Geo", sans-serif;
    outline: 0;
    background: #f2f2f2;
    width: 100%;
    border: 0;
    margin: 0 0 15px;
    padding: 35px;
    box-sizing: border-box;
    font-size: 24px;

    /* css 3 */
    border-radius:10px;
    /* mozilla */
    -moz-border-radius:10px;
    /* webkit */
    -webkit-border-radius:10px;
}

.Form button {
    font-family: "Geo", sans-serif;
    text-transform: uppercase;
    outline: 0;
    /*background: #800000;*/
    background: rgba(0,0,0,0);
    background-image: url("./images/MadagascarBox.png");
    background-size: 100% 100%;
    width: 10%;
    border: 0;
    padding: 25px;
    color: black;
    font-size: 35px;
    font-weight: bolder;
    -webkit-transition: all 0.3 ease;
    transition: all 0.3 ease;
    cursor: pointer;

    /* css 3 */
    /*border-radius:10px;*/
    /* mozilla */
    /*-moz-border-radius:10px;*/
    /* webkit */
    /*-webkit-border-radius:10px;*/
}

.buttonDiv {
    padding-left: 45%;
}

.buttonDiv button{
    width: fit-content;
    min-width: 250px;
}

.largeButton{
    width: fit-content !important;
}

body {
    background-image: url("./images/BG.jpg") ;
    background-repeat: no-repeat;
    background-size: 100% 100%;
    min-height: 100vh;    background-color: #4A5759;
    font-family: "Geo", sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    margin: 1vmin;
}

.CheckInBodyPositive{
    background: #51ff75;
}


.CheckInBodyNegative{
    background: #800000;
}

.loginBody{
    background-image: url("./images/loginBG.jpg");
    background-repeat: no-repeat;
    background-size: cover;}

.mainDiv {
    position: relative;
    z-index: 1;
    color: black;
    background: #FDE74C;
  /*  width: 95vw;
    height: 100vh;*/
    box-sizing: border-box;

    margin: 0 0 10px;
    padding: 45px;
    text-align: left;
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2), 0 5px 5px 0 rgba(0, 0, 0, 0.24);

    /* css 3 */
    border-radius:10px;
    /* mozilla */
    -moz-border-radius:10px;
    /* webkit */
    -webkit-border-radius:10px;
}

.userTable{
    align-self: center;
    border-spacing: 0;
    width: 90vw;
    /* css 3 */
    border-radius:1px;
    /* mozilla */
    -moz-border-radius:1px;
    /* webkit */
    -webkit-border-radius:1px;
    font-size: large;
    text-align: center;
}

.userTable th{
    background-color: #FE9000 !important;
    color: black;
    padding: 0.5em 1em;
    font-weight: bolder;
    font-size: x-large;

}

.userTable td{
    padding: 7px;
    padding: 0.5em 1em;
    border-left: solid darkgray 1px;
    border-right: solid darkgray 1px;


}
.userTable td:first-child{
    border-left: none;
}
.userTable td:last-child{
    border-right: none;
}

.userTable thead tr:first-child th:first-child {
    border-radius: 0.6em 0 0 0;
}
.userTable thead tr:first-child th:last-child {
    border-radius: 0 0.6em 0 0;
    background-color: black;
}
.userTable tbody tr:last-child td:first-child {
    border-radius: 0 0 0 0.6em;
}
.userTable tbody tr:last-child td:last-child {
    border-radius: 0 0 0.6em 0;
}
.userTable tr:nth-child(odd){
    background-color: black;
    color: white;
;
}
.userTable tr:nth-child(even){
    background-color: white;
    color: black
}

.tableHead{
    background-color: rgba(0,0,0,0) !important;
}

/* Style the navigation menu */
.topnav {
    align-self: center;
    align-items: center;
    overflow: hidden;
    background-color: #FE9000;
    position: relative;
    border-radius:10px;
    /* mozilla */
    -moz-border-radius:10px;
    /* webkit */
    -webkit-border-radius:10px;
    width: border-box;
    width: border-box;
    margin-bottom: 1vh;
}

/* Hide the links inside the navigation menu (except for logo/home) */
.topnav #menuLinks {
    display: none;
}

/* Style navigation menu links */
.topnav a, p {
    color: black;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 30px;
    display: block;
}
.topnav a{
    border-top: solid #F18F01 1px;
}
/* Style the hamburger menu */
.topnav a.icon {
    background:  #4A5759;
    color: #FE9000;
    display: inline-block;
    position: absolute;
    right: 0;
    top: 0;
    height: 100%;
    width: 20%;
    text-align: center;
    transform: translateY(-1px);

}
#hamburger{
    transform: translateY(75%);
}


/* Add a grey background color on mouse-over */
.topnav a:hover {
    color: #FBCA03;
}

/* Style the active link (or home/logo) */
.active {
    background-color: #4CAF50;
    color: #FBCA03;
}

#logoutButton{
    background-color: red;
    font-weight: bolder;
}

#messageField {
    color: red;
}